pcl::Supervoxel< PointT > Class Template Reference

Supervoxel container class - stores a cluster extracted using supervoxel clustering. More...

`#include <pcl/segmentation/supervoxel_clustering.h>`

## Public Types

typedef boost::shared_ptr< Supervoxel< PointT > > | Ptr
typedef boost::shared_ptr< const Supervoxel< PointT > > | ConstPtr

## Public Member Functions

| Supervoxel ()
void | getCentroidPoint (PointXYZRGBA &centroid_arg)
| Gets the centroid of the supervoxel. More...
void | getCentroidPointNormal (PointNormal &normal_arg)
| Gets the point normal for the supervoxel. More...

## Public Attributes

pcl::Normal | normal_
| The normal calculated for the voxels contained in the supervoxel. More...
pcl::PointXYZRGBA | centroid_
| The centroid of the supervoxel - average voxel. More...
pcl::PointCloud< PointT >::Ptr | voxels_
| A Pointcloud of the voxels in the supervoxel. More...
pcl::PointCloud< Normal >::Ptr | normals_
| A Pointcloud of the normals for the points in the supervoxel. More...

## Detailed Description

### template<typename PointT>
class pcl::Supervoxel< PointT >

Supervoxel container class - stores a cluster extracted using supervoxel clustering.

Definition at line 64 of file supervoxel_clustering.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr<const Supervoxel<PointT> > pcl::Supervoxel< PointT >::ConstPtr

Definition at line 73 of file supervoxel_clustering.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr<Supervoxel<PointT> > pcl::Supervoxel< PointT >::Ptr

Definition at line 72 of file supervoxel_clustering.h.

## Constructor & Destructor Documentation

## Supervoxel()

template<typename PointT>

pcl::Supervoxel< PointT >::Supervoxel | ( |  | ) |

inline

Definition at line 67 of file supervoxel_clustering.h.

## Member Function Documentation

## getCentroidPoint()

template<typename PointT>

void pcl::Supervoxel< PointT >::getCentroidPoint | ( | PointXYZRGBA & | centroid_arg | ) |

inline

Gets the centroid of the supervoxel.

Parameters

  [out] | centroid_arg | centroid of the supervoxel

Definition at line 79 of file supervoxel_clustering.h.

References pcl::Supervoxel< PointT >::centroid_.

## getCentroidPointNormal()

template<typename PointT>

void pcl::Supervoxel< PointT >::getCentroidPointNormal | ( | PointNormal & | normal_arg | ) |

inline

Gets the point normal for the supervoxel.

Parameters

  [out] | normal_arg | Point normal of the supervoxel

Note
  This isn't an average, it is a normal computed using all of the voxels in the supervoxel as support

Definition at line 89 of file supervoxel_clustering.h.

References pcl::Supervoxel< PointT >::centroid_, pcl::_Normal::curvature, pcl::_PointNormal::curvature, and pcl::Supervoxel< PointT >::normal_.

## Member Data Documentation

## centroid_

template<typename PointT>

pcl::PointXYZRGBA pcl::Supervoxel< PointT >::centroid_

The centroid of the supervoxel - average voxel.

Definition at line 103 of file supervoxel_clustering.h.

Referenced by pcl::LCCPSegmentation< PointT >::connIsConvex(), pcl::Supervoxel< PointT >::getCentroidPoint(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), and pcl::SupervoxelClustering< PointT >::SupervoxelHelper::compareLeaves::operator()().

## normal_

template<typename PointT>

pcl::Normal pcl::Supervoxel< PointT >::normal_

The normal calculated for the voxels contained in the supervoxel.

Definition at line 101 of file supervoxel_clustering.h.

Referenced by pcl::LCCPSegmentation< PointT >::connIsConvex(), and pcl::Supervoxel< PointT >::getCentroidPointNormal().

## normals_

template<typename PointT>

pcl::PointCloud<Normal>::Ptr pcl::Supervoxel< PointT >::normals_

A Pointcloud of the normals for the points in the supervoxel.

Definition at line 107 of file supervoxel_clustering.h.

## voxels_

template<typename PointT>

pcl::PointCloud<PointT>::Ptr pcl::Supervoxel< PointT >::voxels_

A Pointcloud of the voxels in the supervoxel.

Definition at line 105 of file supervoxel_clustering.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/supervoxel_clustering.h